package cn.com.countrygarden.bi.main.dao.dup;

import java.util.List;

import com.github.pagehelper.PageRowBounds;

import cn.com.countrygarden.bi.main.model.dup.DivertStatistical;
import org.apache.ibatis.annotations.Param;

/**
 * <pre>
 * 。转名统计Mapper
 * </pre>
 * 
 * @author developer developer@meicloud.com
 * @version 1.00.00
 * 
 *          <pre>
 * 修改记录
 *    修改后版本:     修改人：  修改日期:     修改内容:
 * </pre>
 */
public interface DivertStatisticalMapper {
	
	/**
	 * 查询转名统计--支持模糊查询
	 * @param
	 * @param pageRowBounds
	 * @return
	 */
	List<DivertStatistical> findDivertStaticalLike(DivertStatistical dto, PageRowBounds pageRowBounds);
	
	/**
	 * 获取累计收楼数
	 * @param dto
	 * @return
	 */
	int findReceiptsFloor(DivertStatistical dto);
	
	/**
	 * 返回楼宇类型
	 * @return
	 */
	List<String> findRoomType();
	
	/**
	 * 获取对应的楼宇数量
	 * @param dto
	 * @return
	 */
	DivertStatistical findRootNumber(DivertStatistical dto);
	
	/**
	 * 计算常住的房间有多少套
	 * @return
	 */
	int findReceiptsFloorNumber(DivertStatistical dto);
	
	/**
	 * 计算当前项目中存在几套房屋
	 * @return
	 */
	int findCommReceiptsFloorNumber(DivertStatistical dto);

}
